Index: README
==================================================================
--- README
+++ README
@@ -138,13 +138,10 @@
 			tcltest
 
 		Additionally, any bundled packages (in the "pkgs" directory)
 		are excluded.  This typically includes (as of Tcl 8.6):
 			itcl thread
-
-		Also, TclOO is removed from Tcl 8.6 forcefully.
-
 
 Cross compiling Environment Variables:
 
 	1. CC  
 		C compiler   e.g. i686-pc-mingw32-gcc

Index: kitcreator
==================================================================
--- kitcreator
+++ kitcreator
@@ -18,10 +18,14 @@
 	TCLVERS="$1"
 
 	shift
 fi
 export TCLVERS
+
+# Determine the two part Tcl version
+TCLVERS2=$(echo ${TCLVERS} | cut -d. -f1,2)
+export TCLVERS2
 
 # Verify that "pre.sh" has been run if this is a development snapshot of
 # KitCreator
 if [ -f 'build/pre.sh' ]; then
 	if ! find 'kitsh/buildsrc/' -name configure -type f 2>/dev/null | grep configure >/dev/null; then

Index: kitsh/build.sh
==================================================================
--- kitsh/build.sh
+++ kitsh/build.sh
@@ -8,10 +8,15 @@
 if [ -z "${TCLVERS}" ]; then
 	echo 'ERROR: The TCLVERS environment variable is not set' >&2
 
 	exit 1
 fi
+if [ -z "${TCLVERS2}" ]; then
+	echo 'ERROR: The TCLVERS2 environment variable is not set' >&2
+
+	exit 1
+fi
 
 KITSHVERS="0.0"
 BUILDDIR="$(pwd)/build/kitsh-${KITSHVERS}"
 OUTDIR="$(pwd)/out"
 INSTDIR="$(pwd)/inst"
@@ -202,10 +207,13 @@
 		### Call installer
 		cp kit runkit
 		echo "set argv [list {${KITTARGET_NAME}} starpack.vfs {${ENABLECOMPRESSION}}]" > setup.tcl
 		echo 'if {[catch { clock seconds }]} { proc clock args { return 0 } }' >> setup.tcl
 		echo 'source installvfs.tcl' >> setup.tcl
+
+		TCL_LIBRARY="$(pwd)/starpack.vfs/lib/tcl${TCLVERS2}"
+		export TCL_LIBRARY
 
 		echo 'Running: echo | ./runkit setup.tcl'
 		echo | ./runkit setup.tcl || exit 1
 	else
 		## Install using Tclsh, which may work if we're not using Metakit

Index: kitsh/buildsrc/kitsh-0.0/installvfs.tcl
==================================================================
--- kitsh/buildsrc/kitsh-0.0/installvfs.tcl
+++ kitsh/buildsrc/kitsh-0.0/installvfs.tcl
@@ -11,10 +11,15 @@
 set kitfile [lindex $argv 0]
 set vfsdir [lindex $argv 1]
 if {[lindex $argv 2] != ""} {
 	set opt_compression [lindex $argv 2]
 }
+
+# On Windows, use the ".exe" file extension
+if {$tcl_platform(platform) eq "windows"} {
+  set kitfile [file rootname $kitfile].exe
+}
 
 # Determine what storage mechanism is being used
 set fd [open Makefile.common r]
 set data [read $fd]
 close $fd

Index: thread/build.sh
==================================================================
--- thread/build.sh
+++ thread/build.sh
@@ -9,11 +9,11 @@
 	echo 'ERROR: The TCLVERS environment variable is not set' >&2
 
 	exit 1
 fi
 
-THREADVERS="2.6.5"
+THREADVERS="2.7.0"
 SRC="src/thread-${THREADVERS}.tar.gz"
 SRCURL="http://sourceforge.net/projects/tcl/files/Thread%20Extension/${THREADVERS}/thread${THREADVERS}.tar.gz/download"
 BUILDDIR="$(pwd)/build/thread${THREADVERS}"
 OUTDIR="$(pwd)/out"
 INSTDIR="$(pwd)/inst"